{% extends 'base.html.twig' %}

{% block body %}
    <main class="">
        <section>
            <div class="row">
                <div class="col-md-12 offset-1">
                    <h2 class="display-4 py-4">Oeuvres de {{ author.name }}</h2>
                </div>
            </div>
            <div class="row">
                {% for paint in artworks %}
                    <div class="card mt-5 col-md-3 offset-1" style="width: 22rem;">
                        <img class="card-img-top" src="{{ asset('img/painting/' ~ paint.image) }}" alt="Card image cap">
                        <div class="card-body">
                            <h5 class="card-title">{{ paint.title|capitalize }}</h5>
                            <h6 class="card-title "> - {{ paint.author.name }} - </h6>
                            <p class="card-text">{{ paint.description|slice(0, 100)~'...' }}</p>
                        </div>
                        <ul class="list-group list-group-flush">
                            <li class="list-group-item">{{ paint.createdAt|date('d/m/Y') }}</li>
                            <li class="list-group-item">{{ paint.category.name }}</li>
                            <li class="list-group-item">{{ paint.technical.name }}</li>
                            <li class="list-group-item">{{ paint.price|form_encode_currency('EUR') }}€</li>
                        </ul>
                        <div class="card-body">
                            <a href="{{ path('paint', {id: paint.id}) }}" class="btn btn-primary">Details</a>
                            {% if app.user in paint.favorites %}
                                <a class="liked-btn" href="{{ path('app_favorite', {id: paint.id}) }}"><i class="icofont-heart-alt"></i></a>
                            {% else %}
                                <a class="like-btn" href="{{ path('app_favorite', {id: paint.id}) }}"><i class="icofont-heart-alt"></i></a>
                            {% endif %}

                            {% if app.user in paint.cart %}
                                <a class="liked-btn" href="{{ path('app_addCart', {id: paint.id}) }}"><i class="icofont-shopping-cart"></i></a>
                            {% else %}
                                <a class="like-btn" href="{{ path('app_addCart', {id: paint.id}) }}"><i class="icofont-shopping-cart"></i></a>
                            {% endif %}
                        </div>
                    </div>
                {% endfor %}
            </div>
        </section>

        <div class="row">
            <div class="col-md-12 offset-1">
                <h2 class="display-4 py-4">Autres auteurs:</h2>
                <ul>
                    {% for auth in authors %}
                        <li><a href="{{ path('app_author', {id: auth.id}) }}">{{ auth.name }}</a></li>
                    {% endfor %}
                </ul>
            </div>
        </div>
    </main>

{% endblock body %}